Subject: bug#5774: 23.1.92; Emacs manual, node Persistent Marks

From: Chong Yidong <[email-masked]>
Date: Tue, 06 Apr 2010 12:14:40 -0400

> "When Transient Mark mode is off, the mark is _never_ deactivated..."
>
> This is wrong.  And it confuses users. Check `C-h v mark-active' with
> t-m-mode off and see if what it says makes sense in combination with
> this Info doc (no).

It is correct.  If tmm is off, the mark starts out inactive, and the
variable `mark-active' is nil.  Once you type C-SPC, `mark-active'
becomes t, and remains t regardless of (almost) anything you do.

> 2. Replace undo (`C-x u') in the example given by a more typical command
> wrt t-m-mode (e.g. query-replace).
>
> 3. "`C-u C-x C-x'  Activate the mark without changing it". Remove "without
> changing it". That doesn't add anything except confusion.

I have edited the text to remove the possible confusion.